sip.conf
[general]
context=default                 ; Default context for incoming calls
match_auth_username=yes        ; if available, match user entry using the
allowoverlap=no                 ; Disable overlap dialing support. (Default is yes)
udpbindaddr=0.0.0.0             ; IP address to bind UDP listen socket to (0.0.0.0 binds to all)
tcpenable=no                    ; Enable server for incoming TCP connections (default is no)
tcpbindaddr=0.0.0.0             ; IP address for TCP server to bind to (0.0.0.0 binds to all interfaces)
transport=udp                   ; Set the default transports.  The order determines the primary default transport.
 t38pt_udptl = yes            ; Enables T.38 with FEC error correction.
 t38pt_udptl = yes,fec,maxdatagram=400 ; Enables T.38 with FEC error correction and overrides
[authentication]
[basic-options](!)                ; a template
        dtmfmode=rfc2833
        context=from-office
        type=friend
[natted-phone](!,basic-options)   ; another template inheriting basic-options
        directmedia=no
        host=dynamic
[public-phone](!,basic-options)   ; another template inheriting basic-options
        directmedia=yes
[my-codecs](!)                    ; a template for my preferred codecs
        disallow=all
        allow=ilbc
        allow=g729
        allow=gsm
        allow=g723
        allow=ulaw
[ulaw-phone](!)                   ; and another one for ulaw-only
        disallow=all
        allow=ulaw
subscribemwi=yes                ; Only send notifications if this phone
[55] ; outgoing call on fxs port
type=friend
host=dynamic
context=internal
secret=123456
username=55
callerid=Joseph <55>
mailbox=55
disallow=all                   ; need to disallow=all before we can use allow=
allow=gsm                     ; listed with allow= does NOT matter!
allow=ulaw                     ; Note: In user sections the order of codecs
allow=alaw
nat=no
callgroup=1
pickupgroup=1
qualify=yes
